// Copyright 1986-2014 Xilinx, Inc. All Rights Reserved.
// --------------------------------------------------------------------------------
// Tool Version: Vivado v.2014.4 (win64) Build 1071353 Tue Nov 18 18:24:04 MST 2014
// Date        : Tue Feb 24 16:29:35 2015
// Host        : WK86 running 64-bit Service Pack 1  (build 7601)
// Command     : write_verilog -mode timesim -nolib -sdf_anno true -force -file
//               C:/Work/Vivado/14.2/xadc_142/xadc_142.sim/sim_1/synth/timing/toptestBench_time_synth.v
// Design      : top
// Purpose     : This verilog netlist is a timing simulation representation of the design and should not be modified or
//               synthesized. Please ensure that this netlist is used with the corresponding SDF file.
// Device      : xc7a100tcsg324-1
// --------------------------------------------------------------------------------
`timescale 1 ps / 1 ps
`define XIL_TIMING

(* NotValidForBitStream *)
module top
   (CLK100MHZ,
    vauxp11,
    vauxn11,
    LED);
  input CLK100MHZ;
  input vauxp11;
  input vauxn11;
  output [15:0]LED;

  wire CLK100MHZ;
  wire CLK100MHZ_IBUF;
  wire CLK100MHZ_IBUF_BUFG;
  wire [15:0]LED;
  wire [15:0]LED_OBUF;
  wire [15:0]data;
  wire enable;
  wire n_1_XLXI_7;
  wire n_2_XLXI_7;
  wire n_3_XLXI_7;
  wire n_4_XLXI_7;
  wire n_5_XLXI_7;
  wire ready;
  wire NLW_XLXI_7_alarm_out_UNCONNECTED;
  wire NLW_XLXI_7_busy_out_UNCONNECTED;
  wire NLW_XLXI_7_dwe_in_UNCONNECTED;
  wire NLW_XLXI_7_eos_out_UNCONNECTED;
  wire NLW_XLXI_7_reset_in_UNCONNECTED;
  wire NLW_XLXI_7_vauxn11_UNCONNECTED;
  wire NLW_XLXI_7_vauxp11_UNCONNECTED;
  wire NLW_XLXI_7_vn_in_UNCONNECTED;
  wire NLW_XLXI_7_vp_in_UNCONNECTED;
  wire [15:0]NLW_XLXI_7_di_in_UNCONNECTED;

initial begin
 $sdf_annotate("toptestBench_time_synth.sdf",,,,"tool_control");
end
BUFG CLK100MHZ_IBUF_BUFG_inst
       (.I(CLK100MHZ_IBUF),
        .O(CLK100MHZ_IBUF_BUFG));
IBUF CLK100MHZ_IBUF_inst
       (.I(CLK100MHZ),
        .O(CLK100MHZ_IBUF));
OBUF \LED_OBUF[0]_inst 
       (.I(LED_OBUF[0]),
        .O(LED[0]));
OBUF \LED_OBUF[10]_inst 
       (.I(LED_OBUF[10]),
        .O(LED[10]));
OBUF \LED_OBUF[11]_inst 
       (.I(LED_OBUF[11]),
        .O(LED[11]));
OBUF \LED_OBUF[12]_inst 
       (.I(LED_OBUF[12]),
        .O(LED[12]));
OBUF \LED_OBUF[13]_inst 
       (.I(LED_OBUF[13]),
        .O(LED[13]));
OBUF \LED_OBUF[14]_inst 
       (.I(LED_OBUF[14]),
        .O(LED[14]));
OBUF \LED_OBUF[15]_inst 
       (.I(LED_OBUF[15]),
        .O(LED[15]));
OBUF \LED_OBUF[1]_inst 
       (.I(LED_OBUF[1]),
        .O(LED[1]));
OBUF \LED_OBUF[2]_inst 
       (.I(LED_OBUF[2]),
        .O(LED[2]));
OBUF \LED_OBUF[3]_inst 
       (.I(LED_OBUF[3]),
        .O(LED[3]));
OBUF \LED_OBUF[4]_inst 
       (.I(LED_OBUF[4]),
        .O(LED[4]));
OBUF \LED_OBUF[5]_inst 
       (.I(LED_OBUF[5]),
        .O(LED[5]));
OBUF \LED_OBUF[6]_inst 
       (.I(LED_OBUF[6]),
        .O(LED[6]));
OBUF \LED_OBUF[7]_inst 
       (.I(LED_OBUF[7]),
        .O(LED[7]));
OBUF \LED_OBUF[8]_inst 
       (.I(LED_OBUF[8]),
        .O(LED[8]));
OBUF \LED_OBUF[9]_inst 
       (.I(LED_OBUF[9]),
        .O(LED[9]));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[0] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[0]),
        .Q(LED_OBUF[0]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[10] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[10]),
        .Q(LED_OBUF[10]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[11] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[11]),
        .Q(LED_OBUF[11]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[12] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[12]),
        .Q(LED_OBUF[12]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[13] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[13]),
        .Q(LED_OBUF[13]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[14] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[14]),
        .Q(LED_OBUF[14]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[15] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[15]),
        .Q(LED_OBUF[15]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[1] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[1]),
        .Q(LED_OBUF[1]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[2] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[2]),
        .Q(LED_OBUF[2]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[3] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[3]),
        .Q(LED_OBUF[3]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[4] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[4]),
        .Q(LED_OBUF[4]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[5] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[5]),
        .Q(LED_OBUF[5]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[6] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[6]),
        .Q(LED_OBUF[6]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[7] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[7]),
        .Q(LED_OBUF[7]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[8] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[8]),
        .Q(LED_OBUF[8]),
        .R(1'b0));
FDRE #(
    .INIT(1'b0)) 
     \LED_reg[9] 
       (.C(CLK100MHZ_IBUF_BUFG),
        .CE(ready),
        .D(data[9]),
        .Q(LED_OBUF[9]),
        .R(1'b0));
xadc_wiz_0 XLXI_7
       (.alarm_out(NLW_XLXI_7_alarm_out_UNCONNECTED),
        .busy_out(NLW_XLXI_7_busy_out_UNCONNECTED),
        .channel_out({n_1_XLXI_7,n_2_XLXI_7,n_3_XLXI_7,n_4_XLXI_7,n_5_XLXI_7}),
        .daddr_in({1'b0,1'b0,n_1_XLXI_7,n_2_XLXI_7,n_3_XLXI_7,n_4_XLXI_7,n_5_XLXI_7}),
        .dclk_in(CLK100MHZ_IBUF_BUFG),
        .den_in(enable),
        .di_in(NLW_XLXI_7_di_in_UNCONNECTED[15:0]),
        .do_out(data),
        .drdy_out(ready),
        .dwe_in(NLW_XLXI_7_dwe_in_UNCONNECTED),
        .eoc_out(enable),
        .eos_out(NLW_XLXI_7_eos_out_UNCONNECTED),
        .reset_in(NLW_XLXI_7_reset_in_UNCONNECTED),
        .vauxn11(NLW_XLXI_7_vauxn11_UNCONNECTED),
        .vauxp11(NLW_XLXI_7_vauxp11_UNCONNECTED),
        .vn_in(NLW_XLXI_7_vn_in_UNCONNECTED),
        .vp_in(NLW_XLXI_7_vp_in_UNCONNECTED));
endmodule

(* CORE_GENERATION_INFO = "xadc_wiz_0,xadc_wiz_v3_0,{component_name=xadc_wiz_0,enable_axi=false,enable_axi4stream=false,dclk_frequency=100,enable_busy=true,enable_convst=false,enable_convstclk=false,enable_dclk=true,enable_drp=true,enable_eoc=true,enable_eos=true,enable_vbram_alaram=false,enable_vccddro_alaram=false,enable_Vccint_Alaram=false,enable_Vccaux_alaram=false,enable_vccpaux_alaram=false,enable_vccpint_alaram=false,ot_alaram=false,user_temp_alaram=false,timing_mode=continuous,channel_averaging=None,sequencer_mode=off,startup_channel_selection=single_channel}" *) 
module xadc_wiz_0
   (daddr_in,
    dclk_in,
    den_in,
    di_in,
    dwe_in,
    reset_in,
    vauxp11,
    vauxn11,
    busy_out,
    channel_out,
    do_out,
    drdy_out,
    eoc_out,
    eos_out,
    alarm_out,
    vp_in,
    vn_in);
  input [6:0]daddr_in;
  input dclk_in;
  input den_in;
  input [15:0]di_in;
  input dwe_in;
  input reset_in;
  input vauxp11;
  input vauxn11;
  output busy_out;
  output [4:0]channel_out;
  output [15:0]do_out;
  output drdy_out;
  output eoc_out;
  output eos_out;
  output alarm_out;
  input vp_in;
  input vn_in;

  wire alarm_out;
  wire busy_out;
  wire [4:0]channel_out;
  wire [6:0]daddr_in;
  wire dclk_in;
  wire den_in;
  wire [15:0]di_in;
  wire [15:0]do_out;
  wire drdy_out;
  wire dwe_in;
  wire eoc_out;
  wire eos_out;
  wire reset_in;
  wire vauxn11;
  wire vauxp11;
  wire vn_in;
  wire vp_in;
  wire NLW_inst_JTAGBUSY_UNCONNECTED;
  wire NLW_inst_JTAGLOCKED_UNCONNECTED;
  wire NLW_inst_JTAGMODIFIED_UNCONNECTED;
  wire NLW_inst_OT_UNCONNECTED;
  wire [6:0]NLW_inst_ALM_UNCONNECTED;
  wire [4:0]NLW_inst_MUXADDR_UNCONNECTED;

(* BOX_TYPE = "PRIMITIVE" *) 
   XADC #(
    .INIT_40(16'h801B),
    .INIT_41(16'h310F),
    .INIT_42(16'h1900),
    .INIT_43(16'h0000),
    .INIT_44(16'h0000),
    .INIT_45(16'h0000),
    .INIT_46(16'h0000),
    .INIT_47(16'h0000),
    .INIT_48(16'h0100),
    .INIT_49(16'h0000),
    .INIT_4A(16'h0000),
    .INIT_4B(16'h0000),
    .INIT_4C(16'h0000),
    .INIT_4D(16'h0000),
    .INIT_4E(16'h0000),
    .INIT_4F(16'h0000),
    .INIT_50(16'hB5ED),
    .INIT_51(16'h57E4),
    .INIT_52(16'hA147),
    .INIT_53(16'hCA33),
    .INIT_54(16'hA93A),
    .INIT_55(16'h52C6),
    .INIT_56(16'h9555),
    .INIT_57(16'hAE4E),
    .INIT_58(16'h5999),
    .INIT_59(16'h0000),
    .INIT_5A(16'h0000),
    .INIT_5B(16'h0000),
    .INIT_5C(16'h5111),
    .INIT_5D(16'h0000),
    .INIT_5E(16'h0000),
    .INIT_5F(16'h0000),
    .IS_CONVSTCLK_INVERTED(1'b0),
    .IS_DCLK_INVERTED(1'b0),
    .SIM_DEVICE("7SERIES"),
    .SIM_MONITOR_FILE("c:/Work/Vivado/14.2/xadc_142/xadc_142.srcs/sources_1/ip/xadc_wiz_0/xadc_wiz_0/simulation/functional/design.txt")) 
     inst
       (.ALM({alarm_out,NLW_inst_ALM_UNCONNECTED[6:0]}),
        .BUSY(busy_out),
        .CHANNEL(channel_out),
        .CONVST(1'b0),
        .CONVSTCLK(1'b0),
        .DADDR(daddr_in),
        .DCLK(dclk_in),
        .DEN(den_in),
        .DI(di_in),
        .DO(do_out),
        .DRDY(drdy_out),
        .DWE(dwe_in),
        .EOC(eoc_out),
        .EOS(eos_out),
        .JTAGBUSY(NLW_inst_JTAGBUSY_UNCONNECTED),
        .JTAGLOCKED(NLW_inst_JTAGLOCKED_UNCONNECTED),
        .JTAGMODIFIED(NLW_inst_JTAGMODIFIED_UNCONNECTED),
        .MUXADDR(NLW_inst_MUXADDR_UNCONNECTED[4:0]),
        .OT(NLW_inst_OT_UNCONNECTED),
        .RESET(reset_in),
        .VAUXN({1'b0,1'b0,1'b0,1'b0,vauxn11,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .VAUXP({1'b0,1'b0,1'b0,1'b0,vauxp11,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .VN(vn_in),
        .VP(vp_in));
endmodule
`ifndef GLBL
`define GLBL
`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;
    wire FCSBO_GLBL;
    wire [3:0] DO_GLBL;
    wire [3:0] DI_GLBL;
   
    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (weak1, weak0) GSR = GSR_int;
    assign (weak1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule
`endif
